360000180462
115000044461

WordPress5.0へのアップデートについて

WordPress5.0における投稿エディタの変更について

WordPressの最新版である5.0系統のリリースが予定されております。
当該バージョンではこれまでの投稿エディタから大幅に画面表示や機能が変更された
新しい投稿エディタ「Gutenberg(グーテンベルグ)」が初期設定されています。
4.9以前のバージョンからアップデートすると自動的にエディタが変更されます。

このエディタについてはこれまでのエディタから大幅に機能が変更されるため、
テーマやプラグインなどによって投稿の編集ができない、またはこれまでの機能が
利用できない場合があります。その際はClassic Editorプラグインをインストール
して有効化すると旧エディタを利用し続けることができます。

現在4.9系統のWordPressをご利用中の場合は、このClassic Editorプラグイン
事前にインストールして有効化することが可能です。
エディタを変更したくない場合は事前のインストールをおすすめします。

さくらインターネットでは、セキュリティ上の観点からWordPressは常に最新版の
ご利用をおすすめしていますが、今回のWordPressバージョンアップは非対応プラグイン、
テーマ等が多く出てくることが予想されるため、事前にバックアップ&ステージング機能
利用してバックアップと動作確認を行うなど、慎重に作業していただくことをおすすめします。

なお、ClassicEditorは2021年までサポートされる見込みですが、新機能などの提供は行われない
可能性もありますので、新エディタへの移行をご検討ください。

ページの先頭へ

Gutenbergの投稿画面

010.png

投稿を新規作成すると上画像のようになります。ブロック形式でテキストや画像が追加され、
画面上で上下の入れ替え、引用ブロックの作成などができるようになります。
今までのエディタよりも、より公開時の見た目に近い状態で記事の投稿ができるようになっています。

020.png

既存の投稿をGutenbergで編集すると、Classicブロックとして表示されます。
Classicブロックは投稿が丸ごと1つのブロックとして扱われます。

ブロック構造が採用されるため、投稿エディタにより書き出されるHTMLタグの構成も変更されます。
投稿画面をカスタマイズするプラグインやショートコードプラグインなど、画面の見た目以外にも
影響が広範囲に渡っておりますのでアップデートの際はご注意ください。

さくらのサポート情報

メニューを閉じる